Bug 1565797 - [abrt] e2fsprogs: e2p_is_null_uuid(): dumpe2fs killed by SIGSEGV
Summary: [abrt] e2fsprogs: e2p_is_null_uuid(): dumpe2fs killed by SIGSEGV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Czerner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72c395fe5de2b2ca86db81f8953...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 19:50 UTC by Alex Villacís Lasso
Modified: 2019-11-03 02:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 13:16:52 UTC
Type: ---
alexvillacislasso: needinfo-


Attachments (Terms of Use)
File: backtrace (5.03 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: cgroup (293 bytes, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: core_backtrace (1.59 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: cpuinfo (1.37 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: dso_list (923 bytes, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: environ (198 bytes, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: exploitable (110 bytes, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: maps (4.72 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: mountinfo (3.55 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: open_fds (181 bytes, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-10 19:50 UTC, Alex Villacís Lasso
no flags Details

Description Alex Villacís Lasso 2018-04-10 19:50:07 UTC
Description of problem:
Inserted a microSD containing a Raspbian image

Version-Release number of selected component:
e2fsprogs-1.43.5-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        dumpe2fs -h /dev/sdc2
crash_function: e2p_is_null_uuid
executable:     /usr/sbin/dumpe2fs
journald_cursor: s=b50f04b5f1fc4d75bb8869b6b131470e;i=a39dc;b=7848dee73d02475f9e3c70753cc9d7fe;m=34a612a92;t=56983b61db9a6;x=1bda6a920cb71746
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 e2p_is_null_uuid at uuid.c:32
 #1 e2p_uuid2str at uuid.c:80
 #2 e2p_list_journal_super at ljs.c:105
 #3 print_inline_journal_information at dumpe2fs.c:395

Comment 1 Alex Villacís Lasso 2018-04-10 19:50:17 UTC
Created attachment 1420052 [details]
File: backtrace

Comment 2 Alex Villacís Lasso 2018-04-10 19:50:19 UTC
Created attachment 1420053 [details]
File: cgroup

Comment 3 Alex Villacís Lasso 2018-04-10 19:50:20 UTC
Created attachment 1420054 [details]
File: core_backtrace

Comment 4 Alex Villacís Lasso 2018-04-10 19:50:22 UTC
Created attachment 1420055 [details]
File: cpuinfo

Comment 5 Alex Villacís Lasso 2018-04-10 19:50:24 UTC
Created attachment 1420056 [details]
File: dso_list

Comment 6 Alex Villacís Lasso 2018-04-10 19:50:25 UTC
Created attachment 1420057 [details]
File: environ

Comment 7 Alex Villacís Lasso 2018-04-10 19:50:27 UTC
Created attachment 1420058 [details]
File: exploitable

Comment 8 Alex Villacís Lasso 2018-04-10 19:50:28 UTC
Created attachment 1420059 [details]
File: limits

Comment 9 Alex Villacís Lasso 2018-04-10 19:50:30 UTC
Created attachment 1420060 [details]
File: maps

Comment 10 Alex Villacís Lasso 2018-04-10 19:50:32 UTC
Created attachment 1420061 [details]
File: mountinfo

Comment 11 Alex Villacís Lasso 2018-04-10 19:50:35 UTC
Created attachment 1420062 [details]
File: open_fds

Comment 12 Alex Villacís Lasso 2018-04-10 19:50:38 UTC
Created attachment 1420063 [details]
File: proc_pid_status

Comment 13 Lukáš Czerner 2018-04-13 12:37:07 UTC
Hi,

thanks for the report. Can you provide a link to the Raspbian image that you can reproduce it with ? If not available online can you please attach e2image ?

e2image -r /dev/sdc2 - | bzip2 > sdc2.e2i.bz2

Thanks!
-Lukas

Comment 14 Ben Cotton 2018-11-27 16:12:38 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.